scala.collection.jcl.Buffer
class Range

[source: `scala/collection/jcl/Buffer.scala`]

`protected` `class` Range(`val` from : Option[Int], `val` until : Option[Int])
  `extends` Buffer[A]

Direct Known Subclasses:
  BufferWrapper.Range

Method Summary
`override def` | add (idx : Int, a : A) : Unit Inserts "a" into this buffer just before the element at index "idx."
`override def` | add (a : A) : Boolean
`override def` | apply (idx : Int) : A
`override def` | elements : BufferIterator[Int, A] The default implementation of a map over mutable iterable collections.
`override def` | length : Int Returns the length of the sequence.
`override def` | remove (idx : Int) : A Removes the element at index `idx`
`override def` | set (idx : Int, a : A) : A Replaces the element at index "idx" with "a."

Methods inherited from Buffer
projection, firstKey, lastKey, compare, remove, replace, update, addAll, transform, +, -=, isEmpty, rangeImpl

Methods inherited from Collection
hasAll, addAll, ++, +=

Methods inherited from MutableSeq
indexOf

Methods inherited from Ranged
from, until, range

Methods inherited from MutableIterable
has, remove, removeAll, --, -, retainOnly, retainAll, size0, clear

Methods inherited from Mutable
readOnly, drop, take, slice, reverse

Methods inherited from RandomAccessSeq
patch, ++, toStream, safeIs

Methods inherited from Seq
lengthCompare, size, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, map, flatMap, filter, takeWhile, dropWhile, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString, stringPrefix

Methods inherited from Iterable
partition, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`class` | RangeIterator `extends` BufferIterator[Int, A]

Method Details

`override` `def` add(a : A) : Boolean

Returns
  s always true.

Overrides
  Buffer.add

`override` `def` apply(idx : Int) : A

`override` `def` set(idx : Int, a : A) : A

  Replaces the element at index "idx" with "a."

Returns
  s the element replaced.

Overrides
  Buffer.set

`override` `def` add(idx : Int, a : A) : Unit

  Inserts "a" into this buffer just before the element at index "idx."

Overrides
  Buffer.add

`override` `def` remove(idx : Int) : A

  Removes the element at index `idx`

Overrides
  Buffer.remove

`override` `def` length : Int

  Returns the length of the sequence.

Returns
  the sequence length.

`override` `def` elements : BufferIterator[Int, A]

  The default implementation of a map over mutable iterable collections.

Overrides
  Buffer.elements